| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "programmingDomain.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (25 global), complexTypes (25), simpleTypes (2), element groups (7), attribute groups (2)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/programmingDomain.xsd; see XML source
Imports Schemas (1):
xml.xsd [src]
Included in Schemas (1):
ditabase.xsd [src]

All Element Summary
apiname |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of apiname.class)
Content: | mixed, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <apiname> element provides the name of an application programming interface (API) such as a Java class name or method name. »
codeblock |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of codeblock.class)
Content: | mixed, 22 attributes, 38 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <codeblock> element represents lines of program code. »
codeph |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of codeph.class)
Content: | mixed, 17 attributes, 33 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The code phrase (<codeph>) element represents a snippet of code within the main flow of text. »
delim |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of delim.class)
Content: | mixed, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
Within a syntax definition, the delimiter (<delim>) element defines a character marking the beginning or end of a section or part of the complete syntax. »
fragment |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of fragment.class)
Content: | complex, 17 attributes, 7 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
Within a syntax definition, a <fragment> is a labeled subpart of the syntax. »
fragref |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of fragref.class)
Content: | mixed, 19 attributes, 32 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The fragment reference (<fragref>) element provides a logical reference to a syntax definition fragment so that you can reference a syntax fragment multiple times. »
groupchoice |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of groupchoice.class)
Content: | complex, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <groupchoice> element is part of the subset of elements that define syntax diagrams in DITA. »
groupcomp |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of groupcomp.class)
Content: | complex, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <groupcomp> element is part of the subset of elements that define syntax diagrams in DITA. »
groupseq |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of groupseq.class)
Content: | complex, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <groupseq> element is part of the subset of elements that define syntax diagrams in DITA. »
kwd |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of kwd.class)
Content: | mixed, 19 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The <kwd> element defines a keyword in a syntax definition. »
oper |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of oper.class)
Content: | mixed, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The operator (<oper>) element defines an operator within a syntax definition. »
option |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of option.class)
Content: | mixed, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The <option> element describes an option that can be used to modify a command (or something else, like a configuration). »
parml |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of parml.class)
Content: | complex, 19 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The parameter list (<parml>) element contains a list of terms and definitions that describes the parameters in an application programming interface. »
parmname |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of parmname.class)
Content: | mixed, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
When referencing the name of an application programming interface parameter within the text flow of your topic, use the parameter name (<parmname>) element to markup the parameter. »
pd |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of pd.class)
Content: | mixed, 17 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
A parameter definition, within a parameter list entry, is enclosed by the <pd> element. »
plentry |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of plentry.class)
Content: | complex, 17 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The parameter list entry element (<plentry>) contains one or more parameter terms and definitions (pd and pt). »
pt |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of pt.class)
Content: | mixed, 18 attributes, 35 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
A parameter term, within a parameter list entry, is enclosed by the <pt> element. »
repsep |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of repsep.class)
Content: | mixed, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 3 locations
The repeat separator (<repsep>) element defines a group of syntax elements that can (or should) be repeated. »
sep |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of sep.class)
Content: | mixed, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The separator (<sep>) element defines a separator character that is inline with the content of a syntax definition. »
synblk |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of synblk.class)
Content: | complex, 17 attributes, 8 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The syntax block (<synblk>) element organizes small pieces of a syntax definition into a larger piece. »
synnote |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of synnote.class)
Content: | mixed, 18 attributes, 30 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The syntax note (<synnote>) element contains a note (similar to a footnote) within a syntax definition group or fragment. »
synnoteref |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of synnoteref.class)
Content: | empty, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The syntax note (<synnoteref>) reference element references a syntax note element (<synnote>) that has already been defined elsewhere in the topic. »
synph |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of synph.class)
Content: | mixed, 17 attributes, 9 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The syntax phrase (<synph>) element is a container for syntax definition elements. »
syntaxdiagram |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of syntaxdiagram.class)
Content: | complex, 20 attributes, 9 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The syntax diagram (<syntaxdiagram>) element is the main container for all the syntax elements that make up a syntax definition. »
var |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of var.class)
Content: | mixed, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
Within a syntax definition, the <var> element defines a variable for which the user must supply content, such as their user name or password. »

Complex Type Summary
apiname.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
codeblock.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 21 attributes, 38 elements
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
codeph.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 33 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
delim.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
fragment.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 7 elements
Defined: | globally; see XML source
Includes: | declarations of 1 attribute, 1 element
Referenced: | by 1 location
fragref.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 18 attributes, 32 elements
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
groupchoice.class |
Namespace: | {no namespace}
Content: | complex, 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes, 2 elements
Referenced: | by 1 location
groupcomp.class |
Namespace: | {no namespace}
Content: | complex, 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes, 2 elements
Referenced: | by 1 location
groupseq.class |
Namespace: | {no namespace}
Content: | complex, 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes, 2 elements
Referenced: | by 1 location
kwd.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 18 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
oper.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
option.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
parml.class |
Namespace: | {no namespace}
Content: | complex, 18 attributes, 1 element
Defined: | globally; see XML source
Includes: | declarations of 3 attributes, 1 element
Referenced: | by 1 location
parmname.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
pd.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
plentry.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declarations of 1 attribute, 2 elements
Referenced: | by 1 location
pt.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 35 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
repsep.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
sep.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
synblk.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 8 elements
Defined: | globally; see XML source
Includes: | declarations of 1 attribute, 2 elements
Referenced: | by 1 location
synnote.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 30 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
synnoteref.class |
Namespace: | {no namespace}
Content: | empty, 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
synph.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 9 elements
Defined: | globally; see XML source
Includes: | declarations of 1 attribute, 9 elements
Referenced: | by 1 location
syntaxdiagram.class |
Namespace: | {no namespace}
Content: | complex, 19 attributes, 9 elements
Defined: | globally; see XML source
Includes: | declarations of 1 attribute, 3 elements
Referenced: | by 1 location
var.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location

Simple Type Summary
importance-att-nodefault.class |
Namespace: | {no namespace}
Derived By: | restriction of importance-atts.class
Defined: | globally; see XML source
Referenced: | by 5 locations
importance-att-progdom.class |
Namespace: | {no namespace}
Derived By: | restriction of importance-atts.class
Defined: | globally; see XML source
Referenced: | by 6 locations

Element Group Summary
pr-d-dl |
Namespace: | {no namespace}
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location
pr-d-fig |
Namespace: | {no namespace}
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location
pr-d-keyword |
Namespace: | {no namespace}
Content: | 3 elements
Defined: | globally; see XML source
Includes: | declarations of 3 elements
Referenced: | by 1 location
pr-d-ph |
Namespace: | {no namespace}
Content: | 2 elements
Defined: | globally; see XML source
Includes: | declarations of 2 elements
Referenced: | by 1 location
pr-d-pre |
Namespace: | {no namespace}
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location
syntaxdiagram.grp |
Namespace: | {no namespace}
Content: | 6 elements
Defined: | globally; see XML source
Includes: | declarations of 6 elements
Referenced: | by 6 locations
syntaxdiagramprog.grp |
Namespace: | {no namespace}
Content: | 5 elements
Defined: | globally; see XML source
Includes: | declarations of 5 elements
Referenced: | by 3 locations

Attribute Group Summary
univ-atts-importance-nodefault |
Namespace: | {no namespace}
Content: | 10 attributes
Defined: | globally; see XML source
Includes: | declarations of 8 attributes
Referenced: | never
univ-atts-no-importance |
Namespace: | {no namespace}
Content: | 13 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 10 locations

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.